<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<link rel="shortcut icon" type="image/png" href="../styles/UMotionFavicon.png" />
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<title>UMotion Manual - Getting Started</title>
		<link rel="stylesheet" type="text/css" href="../styles/theme_styles.css" media="screen">
		<link rel="stylesheet" type="text/css" href="../styles/treeview_styles.css" media="screen">
		<link rel="stylesheet" type="text/css" href="../styles/element_styles.css" media="screen">
	</head>
	<body>
		<div class="header">
			<div class="headerLogo">
				<img src="../styles/UMotionLogoHeader.png"></img>
			</div>
			<div class="headerBlueRight">
				<a href="https://www.soxware.com" class="headerLink">soxware.com</a>
			</div>
		</div>
		<div class="versionHeader">
			<p class="versionText">Version: <b>1.22p09</b> </p>
		</div>
		<div class="leftContent">
			<div class="leftContentInner">
				<div class="leftContentHeadline">
					UMotion Manual
				</div>
				<!-- Tree View -->
				<ol class="tree">
					
<li class="file"><a href="../UMotionManual.html">UMotion Manual</a></li>

<li class="file"><a href="Introduction.html">Introduction & Tips</a></li>

<li class="file"><a href="GettingStarted.html"><b><u>Getting Started</u></b></a></li>

<li>
	<label for="VideoTutorials"><a href="VideoTutorials.html" class="treeFolderLink">Video Tutorials</a></label> <input type="checkbox"  id="VideoTutorials" /> 
	<ol>
<li>
	<label for="GeneralTutorials"><a href="GeneralTutorials.html" class="treeFolderLink">General</a></label> <input type="checkbox"  id="GeneralTutorials" /> 
	<ol>
<li class="file"><a href="QuickStart.html">Quick Start Tutorial</a></li>

<li class="file"><a href="Lesson1.html">1) Installation & First Steps</a></li>

<li class="file"><a href="Lesson2.html">2) Pose Editing</a></li>

<li class="file"><a href="Lesson3.html">3) Clip Editor</a></li>

<li class="file"><a href="Lesson4.html">4) Curves & Rotation Modes</a></li>

<li class="file"><a href="Lesson5.html">5) Config Mode</a></li>

<li class="file"><a href="Lesson6.html">6) Export Animations</a></li>

<li class="file"><a href="Lesson7.html">7) Root Motion</a></li>

<li class="file"><a href="Lesson8.html">8) Animation Events</a></li>

<li class="file"><a href="Lesson9.html">9) Pose Mirroring</a></li>
</ol>
</li>

<li>
	<label for="ProfessionalExclusive"><a href="ProfessionalExclusive.html" class="treeFolderLink">UMotion Pro</a></label> <input type="checkbox"  id="ProfessionalExclusive" /> 
	<ol>
<li class="file"><a href="ProLesson1.html">1) Importing Animations</a></li>

<li class="file"><a href="ProLesson2.html">2) Inverse Kinematics</a></li>

<li class="file"><a href="ProLesson3.html">3) Child-Of Constraint</a></li>

<li class="file"><a href="ProLesson4.html">4) Custom Properties</a></li>

<li class="file"><a href="ProLesson5.html">5) IK Pinning</a></li>
</ol>
</li>

<li>
	<label for="InPractice"><a href="InPractice.html" class="treeFolderLink">In Practice</a></label> <input type="checkbox"  id="InPractice" /> 
	<ol>
<li class="file"><a href="InPractice1.html">1) Our First Animation</a></li>

<li class="file"><a href="InPractice2.html">2) Editing Animations</a></li>

<li class="file"><a href="InPractice3.html">3) Customizing an animation for a RPG</a></li>

<li class="file"><a href="InPractice4.html">4) Unity Timeline & Weighted Tangents</a></li>
</ol>
</li>

<li>
	<label for="Jayanam"><a href="Jayanam.html" class="treeFolderLink">Jayanam</a></label> <input type="checkbox"  id="Jayanam" /> 
	<ol>
<li class="file"><a href="Jayanam1.html">UMotion Tutorial</a></li>
</ol>
</li>
</ol>
</li>

<li class="file"><a href="HowToCreateBetterAnimations.html">How to create better animations</a></li>

<li>
	<label for="ClipEditor"><a href="ClipEditor.html" class="treeFolderLink">Clip Editor</a></label> <input type="checkbox"  id="ClipEditor" /> 
	<ol>
<li>
	<label for="MenuBar"><a href="MenuBar.html" class="treeFolderLink">Menu Bar</a></label> <input type="checkbox"  id="MenuBar" /> 
	<ol>
<li class="file"><a href="MenuBarFile.html">File</a></li>

<li class="file"><a href="MenuBarEdit.html">Edit</a></li>

<li class="file"><a href="MenuBarHelp.html">Help</a></li>
</ol>
</li>

<li class="file"><a href="Preferences.html">Preferences</a></li>

<li class="file"><a href="ImportExport.html">Import / Export</a></li>

<li class="file"><a href="FKtoIKConversion.html">FK to IK Conversion</a></li>

<li>
	<label for="MainNavigation"><a href="MainNavigation.html" class="treeFolderLink">Main Navigation</a></label> <input type="checkbox"  id="MainNavigation" /> 
	<ol>
<li class="file"><a href="ProjectSettings.html">Project Settings</a></li>

<li class="file"><a href="ClipSettings.html">Clip Settings</a></li>
</ol>
</li>

<li class="file"><a href="AnimatedPropertiesList.html">Animated Properties List</a></li>

<li class="file"><a href="RootMotion.html">Root Motion</a></li>

<li class="file"><a href="RotationModes.html">Rotation Modes</a></li>

<li>
	<label for="DopesheetCurves"><a href="DopesheetCurves.html" class="treeFolderLink">Dopesheet / Curves View</a></label> <input type="checkbox"  id="DopesheetCurves" /> 
	<ol>
<li class="file"><a href="Dopesheet.html">Dopesheet</a></li>

<li class="file"><a href="Curves.html">Curves View</a></li>
</ol>
</li>

<li class="file"><a href="Playback.html">Playback Navigation</a></li>

<li class="file"><a href="Layers.html">Layers</a></li>
</ol>
</li>

<li>
	<label for="PoseEditor"><a href="PoseEditor.html" class="treeFolderLink">Pose Editor</a></label> <input type="checkbox"  id="PoseEditor" /> 
	<ol>
<li>
	<label for="ConfigMode"><a href="ConfigMode.html" class="treeFolderLink">Config Mode</a></label> <input type="checkbox"  id="ConfigMode" /> 
	<ol>
<li>
	<label for="RigHierarchy"><a href="RigHierarchy.html" class="treeFolderLink">Rig Hierarchy</a></label> <input type="checkbox"  id="RigHierarchy" /> 
	<ol>
<li class="file"><a href="IKSetupWizard.html">IK Setup Wizard</a></li>

<li class="file"><a href="MirrorMapping.html">Mirror Mapping</a></li>
</ol>
</li>

<li class="file"><a href="Configuration.html">Configuration</a></li>

<li class="file"><a href="ConfigDisplay.html">Display</a></li>
</ol>
</li>

<li>
	<label for="PoseMode"><a href="PoseMode.html" class="treeFolderLink">Pose Mode</a></label> <input type="checkbox"  id="PoseMode" /> 
	<ol>
<li class="file"><a href="Tools.html">Tools</a></li>

<li class="file"><a href="Channels.html">Channels</a></li>

<li class="file"><a href="Selection.html">Selection</a></li>

<li class="file"><a href="PoseDisplay.html">Display</a></li>

<li class="file"><a href="Animation.html">Animation</a></li>
</ol>
</li>

<li>
	<label for="Constraints"><a href="Constraints.html" class="treeFolderLink">Constraint System</a></label> <input type="checkbox"  id="Constraints" /> 
	<ol>
<li class="file"><a href="InverseKinematics.html">Inverse Kinematics</a></li>

<li class="file"><a href="ChildOf.html">Child-Of</a></li>

<li class="file"><a href="CustomProperty.html">Custom Property</a></li>
</ol>
</li>

<li class="file"><a href="Options.html">Options</a></li>

<li class="file"><a href="ToolAssistant.html">Tool Assistant</a></li>
</ol>
</li>

<li class="file"><a href="EditInPlayMode.html">Edit In Play Mode</a></li>

<li class="file"><a href="UnityTimelineIntegration.html">Unity Timeline Integration</a></li>

<li class="file"><a href="UMotionAPI.html">UMotion API</a></li>

<li class="file"><a href="ExportingAnimationsFAQ.html">Exporting Animations FAQ</a></li>

<li class="file"><a href="Support.html">Support / FAQ</a></li>

<li class="file"><a href="ReleaseNotes.html">Release Notes</a></li>

<li class="file"><a href="KnownIssues.html">Known Issues</a></li>

<li class="file"><a href="Credits.html">Credits</a></li>

				</ol>
			</div>
		</div>
		<div class="mainContent">
			<div class="mainContentInner">
				<h1 class="headline1" id="">Getting Started</h1><h2 class="headline2" id="">Installing UMotion</h2><p class="textBlock">Congratulations! When you can read this, you've already successfully downloaded the UMotion package from the Unity Asset Store and have imported it into your project.</p><h3 class="headline3" id="">Imported Folders</h3><p class="textBlock">When UMotion was imported into your project, two folders have been created in the Assets directory:</p><ul class="listMain">
    <li class="listItem"><span class="listText">
        <b>UMotion Editor</b>
        </br>This folder contains everything UMotion needs to function properly. You can move the <b>UMotionEditor</b> folder anywhere in your project. UMotion resources are not added to your built game and thus won't increase your build size.
    </span></li>
    <li class="listItem"><span class="listText">
        <b>UMotion Examples</b>
        </br>This folder contains an example scene with example animations. When using UMotion the first time, it's recommended to take a look at the examples. If you don't need them you can delete the whole folder.
    </span></li>
</ul><h3 class="headline3" id="">Uninstalling</h3><p class="textBlock">To remove UMotion from your project, remove both folders mentioned above.</p><p class="textBlock">Be careful, there may be other resources in <b>Editor Default Resources</b> used by other Editor Extensions.</p><h2 class="headline2" id="">Starting UMotion</h2><h3 class="headline3" id="">Setup Your Workspace</h3><p class="textBlock">Two new editor windows have been automatically added in Unity's Menu Bar.</p><img src="../images/UnityWindowUmotionEditor.png" class="image"></img>
<p class="imageText">Unity Menu Bar - Window</p><p class="textBlock">Click on <b>Windows ➔ UMotion Editor ➔ Clip Editor</b>. The Clip Editor will appear on your screen. You can now dock the window anywhere in your Unity Editor Layout. A useful position is usually at the bottom where the Project and Console Window is located in the default layout.</p><p class="textBlock">Once you've docked the Clip Editor, open the second window by clicking on <b>Windows ➔ UMotion Editor ➔ Pose Editor</b>. The window can also be docked where it fits best for you. A preferred position is usually at the right hand side where the Inspector is located in the default layout.</p><img src="../images/UMotionDefaultLayout.png" class="image"></img>
<p class="imageText">A typical editor layout when using UMotion</p><p class="textBlock">In Unity it is possible to define and save custom editor layouts. If you want, you can create a custom layout to be used when creating animations. You can switch between editor layouts depending on the current work you are doing in the editor. Editor layouts can be created, saved and changed by using the "Layout" button in the upper right corner of the Unity editor. More information regarding custom editor layouts can be found here: <a href="https://docs.unity3d.com/Manual/CustomizingYourWorkspace.html" class="link">Unity Manual - Customize Your Workspace</a></p><p class="textBlock">You may want to add the Animator window (<b>Windows ➔ Animator</b>) or multiple Scene Views to that layout. You can add additional Scene Views by making a context click on the Scene View tab and clicking on <b>Add Tab ➔ Scene View</b>. It is possible to switch a Scene View from perspective into isometric mode by clicking on the <b>Persp</b> text under the Gizmo in the upper right corner of the Scene View. By clicking on one of the axis of the Gizmo, you can make the Scene View camera look exactly into the related direction. That way you can add Scene Views for top view, side view,... More information regarding the Scene View can be found here: <a href="https://docs.unity3d.com/Manual/SceneViewNavigation.html" class="link">Unity Manual - Scene View Navigation</a></p><img src="../images/UMotionMultipleSceneViews.png" class="image"></img>
<p class="imageText">Editor layout with multiple Scene Views</p><p class="textBlock">When animating something that is going to be used from a first person perspective, the Game View comes in handy. It can be used to preview the animation from the same perspective as it is going to be used (if the game camera is placed accordingly). All changes done in any of the Scene Views is automatically reflected in the Game View.</p><h3 class="headline3" id="">Creating A New Project</h3><p class="textBlock">Once you setup your workspace, you can start creating animations. In the UMotion Clip Editor click on <b>File ➔ New Project</b> and select the type of animation you want to create. All three unity animation types are supported (Humanoid, Generic and Legacy).</p><img src="../images/ClipEditorMenuBarFile.png" class="image"></img>
<p class="imageText">Menu Bar - New Project</p><p class="textBlock">Choose the same animation type, as the one that is set in the import settings of the 3D model you want to animate. A file dialog will open prompting you to save the UMotion project. As the file extension <b>*.asset</b> can also be used by other editor extensions, it is recommended to choose a name or a directory whose name is somehow related to UMotion. The file has to be stored in the projects <b>Assets</b> folder or any of its sub-directories.</p><img src="../images/NewProjectDialog.png" class="image"></img>
<p class="imageText">Save Project File Dialog</p><h3 class="headline3" id="">Select A GameObject</h3><p class="textBlock">If the 3D model you want to animate isn't already present in the current scene, create a new instance of it by dragging it from Unity's Project window into the current scene. To start animating it, drag the instance of the 3D model from Unity's Hierarchy window to the field in the Pose Editor where it says <b>Select a GameObject to animate</b>.
A dialog window will popup indicating that the GameObject has bones and transforms that are not configured in the current project. Click on "Create Configuration" to add them to the project.</p><img src="../images/CreateConfigurationDialog.png" class="image"></img>
<p class="imageText">New Rig Detected - Dialog</p><h3 class="headline3" id="">And that's it. You are ready to start animating!</h3><p class="textBlock">To continue learning, please check out the example scene located at <b>Assets/UMotion Examples</b>. Please follow the instructions of the 3D texts in the scene.</p><p class="textBlock">There are plenty of <a href="VideoTutorials.html" class="link">Video Tutorials</a> available split into several chapters. Also make sure to read through this manual it provides even more detailed information.</p><img src="../images/UMotionSetupFinished.png" class="image"></img>
<p class="imageText">The configuration is complete and the model is ready to be animated.</p>
				<div class="mainContentFooter">
					<p class="textBlock" style="float:left">Copyright © 2017 - 2020 Soxware Interactive ALL RIGHTS RESERVED</p>
					<p class="textBlock" align="right"><a href="https://forum.unity.com/threads/new-umotion-animation-editor-released.490618/" class="link">Unity Forum Thread</a> | <a href="https://www.facebook.com/Soxware/" class="link">Facebook</a> | <a href="https://twitter.com/SoxwareInteract" class="link">Twitter</a> | <a href="https://www.youtube.com/channel/UCCuE6nI5gHvUQjx0lo6Twtg" class="link">Youtube</a></p>
				</div>
			</div>
		</div>
	</body>
</html>
